syntax = "proto3";
option go_package = ".;pb";
import "hero_db.proto";

message DBFriend {
  string uid = 1;                //@go_tags(`bson:"uid"`) 用户ID
  repeated string friendIds = 2; //@go_tags(`bson:"friendIds"`) 好友ID
  repeated string applyIds = 3;  //@go_tags(`bson:"applyIds"`) 申请用户ID
  repeated string blackIds = 4;  //@go_tags(`bson:"blackIds"`) 黑名单ID
  repeated string zanIds = 5;    //@go_tags(`bson:"zanIds"`) 点赞好友ID
  repeated string getZandIds = 6; //@go_tags(`bson:"getZandIds"`) 已接收赞好友ID
  string assistHeroId = 7; //@go_tags(`bson:"assistHeroId"`) 助战英雄ID
  int32 received = 8; //@go_tags(`bson:"received"`) 领取奖励状态0未领1可领2已领
  int64 updateTime = 9;   //@go_tags(`bson:"updateTime"`)  更新时间
  DBHero hero = 10;       //@go_tags(`bson:"hero"`) 助战英雄副本
  int32 assistScore = 11; //@go_tags(`bson:"zhuzhanScore"`) 助战分数合计
  repeated AssistRecord record = 12; //@go_tags(`bson:"record"`)  助战记录
}

//助战记录
message AssistRecord {
  string uid = 1;          //@go_tags(`bson:"uid"`) 好友Id
  int64 assistTime = 2;    //@go_tags(`bson:"zhuzhanTime"`) 上次助战时间
  string assistHeroId = 3; //@go_tags(`bson:"assistHeroId"`) 助战英雄
}

//切磋请求记录
message QiecuoRecord{
  string uid = 1; //@go_tags(`bson:"uid"`) 切磋发起人
  string targetId = 2; //@go_tags(`bson:"targetId"`) 切磋接受人
  int32 status = 3; //@go_tags(`bson:"status"`) 0默认 1已发送 2已接收 
  string matchId = 4; //@go_tags(`bson:"matchId"`) 战斗ID
  int64 timestamp = 5; //@go_tags(`bson:"timestamp"`) 切磋时间戳
  int64 endTime = 6; //@go_tags(`bson:"endTime"`) 战斗结束时间戳
} 